## liburi-ocaml 1.6.0

=== Makefile ===
.PHONY: all clean install build
all: build doc

NAME=uri
J ?= 2

setup.bin: setup.ml
	ocamlopt.opt -o $@ $< || ocamlopt -o $@ $< || ocamlc -o $@ $<
	rm -f setup.cmx setup.cmi setup.o setup.cmo

setup.data: setup.bin
	./setup.bin -configure --enable-tests

build: setup.data setup.bin
	./setup.bin -build -j $(J)

doc: setup.data setup.bin
	./setup.bin -doc -j $(J)

install: setup.bin
	./setup.bin -install

test: setup.bin build
	./setup.bin -test

reinstall: setup.bin
	ocamlfind remove $(NAME) || true
	./setup.bin -reinstall

clean:
	ocamlbuild -clean
	rm -f setup.data setup.log setup.bin lib/Uri_services.ml lib/Uri_services_full.ml

=== debian/changelog ===
liburi-ocaml (1.6.0-1) UNRELEASED; urgency=low

  * Update to 1.6.0

 -- Jon Ludlam <jonathan.ludlam@citrix.com>  Fri, 06 Jun 2014 12:00:00 +0000

liburi-ocaml (1.3.8-2) UNRELEASED; urgency=low

  * Split files correctly between base and devel packages

 -- David Scott <dave.scott@eu.citrix.com>  Mon, 02 Jun 2014 12:00:00 +0000

liburi-ocaml (1.3.8-1) UNRELEASED; urgency=low

  * Initial package

 -- David Scott <dave.scott@eu.citrix.com>  Thu, 30 May 2013 12:00:00 +0000

=== debian/control ===
Source: liburi-ocaml
Priority: optional
Maintainer: Euan Harris <euan.harris@citrix.com>
Section: ocaml
Standards-Version: 3.9.3
Build-Depends:
 libsexplib-camlp4-dev,
 dh-ocaml (>= 0.9),
 ocaml-nox,
 python,
 debhelper (>= 8),
 ocaml-stringext-dev,
 ocaml-findlib,
 ocaml-compiler-libs,
 ocaml-nox (>= 4.00),
 ocaml-native-compilers (>= 4.00),
 libounit-ocaml-dev,
 libre-ocaml-dev

Package: liburi-ocaml
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Recommends: ocaml-findlib
Description: A URI library for OCaml
 A URI library for OCaml.

Package: liburi-ocaml-dev
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends},
 liburi-ocaml (>= 1.6.0-1),
 libre-ocaml-dev,
 ocaml-stringext-dev,
 libsexplib-camlp4-dev
Provides: ${ocaml:Provides}
Recommends: ocaml-findlib
Description: Development files for ocaml-uri
 The ocaml-uri-devel package contains libraries and signature files
 for developing applications that use ocaml-uri.

=== debian/rules ===
#!/usr/bin/make -f

#include /usr/share/cdbs/1/rules/debhelper.mk
#include /usr/share/cdbs/1/class/makefile.mk
#include /usr/share/cdbs/1/rules/ocaml.mk

export DH_VERBOSE=1
export DH_OPTIONS
export DESTDIR=$(CURDIR)/debian/tmp
%:
	dh $@ --with ocaml --with python2

.PHONY: override_dh_auto_configure
override_dh_auto_configure:

.PHONY: override_dh_auto_build
override_dh_auto_build:
	debian/build.sh

.PHONY: override_dh_auto_install
override_dh_auto_install:
	debian/install.sh

.PHONY: override_dh_install
override_dh_install:
	dh_install
	rm -f debian/liburi-ocaml/usr/lib/ocaml/uri/*.a
	rm -f debian/liburi-ocaml/usr/lib/ocaml/uri/*.cmxa
	rm -f debian/liburi-ocaml/usr/lib/ocaml/uri/*.cmx
	rm -f debian/liburi-ocaml/usr/lib/ocaml/uri/*.mli

.PHONY: override_dh_auto_clean
override_dh_auto_clean:
	debian/clean.sh
	/bin/rm -rf ${DESTDIR}

.PHONY: override_dh_auto_test
override_dh_auto_test:
